curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}Crea o actualiza registros identificados por un valor único de propiedad según lo especificado por el parámetro de consulta idProperty. El parámetro de consulta idProperty se refiere a una propiedad cuyos valores son únicos para el objeto.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
Mostrar atributos secundarios
successful operation
Represents the result of a batch upsert operation, including the operation’s status, timestamps, and a list of successfully created or updated objects.
La marca de tiempo en que se completó el procesamiento por lotes, en formato ISO 8601.
Mostrar atributos secundarios
La marca de tiempo en que comenzó la ejecución del procesamiento por lotes, en formato ISO 8601.
El estado de la solicitud de procesamiento por lotes. El valor esperado es "COMPLETE".
CANCELED, COMPLETE, PENDING, PROCESSING Mostrar atributos secundarios
Un objeto que contiene los enlaces relevantes relacionados con la solicitud de procesamiento por lotes.
Mostrar atributos secundarios
El número total de errores que se produjeron durante la operación.
10
La marca de tiempo en que se inició el procesamiento por lotes, en formato ISO 8601.